com.microfocus.awm.model.internal

## Class ErrorFeedbackEntryList

- java.lang.Object
- - java.util.Observable
  - - com.microfocus.awm.model.internal.ErrorFeedbackEntryList

- All Implemented Interfaces:
    IErrorFeedbackEntryList

      public class ErrorFeedbackEntryList
      extends java.util.Observable
      implements IErrorFeedbackEntryList

  this class is responsible to manage the entries (list of message) which are show on the error list table view
  Author:
    PrudenceB

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorFeedbackEntryList()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addList(java.util.List<IErrorFeedbackEntry> pErrorFeedbackEntries, java.util.List<java.lang.String> pCompiledFiles)` add the entries (list of messages) from the actual compilation to the existent list and notify the error list table view
    `void` | `clearList()` Clears any element list entries that have been set in this directory.
    `java.util.List<java.lang.String>` | `getEntryListColumms()` give back a list of columns to be show on the error list table view
    `java.util.List<IErrorFeedbackEntry>` | `getErrorFeedbackEntryList()` give back all the entries which will be show on the error list table view
    `static ErrorFeedbackEntryList` | `getInstance()` singleton method getInstance
    `void` | `loadErros()` Loads error feedback entries from cache.
    `void` | `removeList(java.util.List<IErrorFeedbackEntry> pErrorFeedbackEntries)` Removes a list from the directory.
    `void` | `saveErrors()` Saves the error feedback entries into cache.

    - ### Methods inherited from class java.util.Observable

      `addObserver, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.model.IErrorFeedbackEntryList

      `addObserver, deleteObserver`

- - ### Constructor Detail

    - #### ErrorFeedbackEntryList

          public ErrorFeedbackEntryList()

  - ### Method Detail

    - #### getInstance

          public static ErrorFeedbackEntryList getInstance()

      singleton method getInstance
      Returns:
        the single instance of the class

    - #### addList

          public void addList(java.util.List<IErrorFeedbackEntry> pErrorFeedbackEntries,
                              java.util.List<java.lang.String> pCompiledFiles)

      add the entries (list of messages) from the actual compilation to the existent list and notify the error list table view
      Specified by:
        `addList` in interface `IErrorFeedbackEntryList`
      Parameters:
        `pErrorFeedbackEntries` - the error feedback entries to be added
        `pCompiledFiles` - files that have been compiled

    - #### removeList

          public void removeList(java.util.List<IErrorFeedbackEntry> pErrorFeedbackEntries)

      Description copied from interface: `IErrorFeedbackEntryList`
      Removes a list from the directory.
      Specified by:
        `removeList` in interface `IErrorFeedbackEntryList`
      Parameters:
        `pErrorFeedbackEntries` - the list of entries to be removed.

    - #### clearList

          public void clearList()

      Description copied from interface: `IErrorFeedbackEntryList`
      Clears any element list entries that have been set in this directory.
      Specified by:
        `clearList` in interface `IErrorFeedbackEntryList`

    - #### getErrorFeedbackEntryList

          public java.util.List<IErrorFeedbackEntry> getErrorFeedbackEntryList()

      give back all the entries which will be show on the error list table view
      Specified by:
        `getErrorFeedbackEntryList` in interface `IErrorFeedbackEntryList`
      Returns:
        _errorFeedbackEntryList

    - #### getEntryListColumms

          public java.util.List<java.lang.String> getEntryListColumms()

      give back a list of columns to be show on the error list table view
      Specified by:
        `getEntryListColumms` in interface `IErrorFeedbackEntryList`
      Returns:
        a list of columns

    - #### loadErros

          public void loadErros()
                         throws TaurusCoreException

      Description copied from interface: `IErrorFeedbackEntryList`
      Loads error feedback entries from cache.
      Specified by:
        `loadErros` in interface `IErrorFeedbackEntryList`
      Throws:
        `TaurusCoreException` - if loading the cache fails.

    - #### saveErrors

          public void saveErrors()
                          throws TaurusCoreException

      Description copied from interface: `IErrorFeedbackEntryList`
      Saves the error feedback entries into cache.
      Specified by:
        `saveErrors` in interface `IErrorFeedbackEntryList`
      Throws:
        `TaurusCoreException` - if loading the cache fails

Copyright © 2015 Micro Focus GmbH. All rights reserved.